<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePortalSettingsTable extends Migration
{
    public function up(): void
    {
        Schema::create('portal_settings', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('home_mat_label')->nullable();
            $table->string('home_banner_image_path')->nullable();

            $table->string('zoom_meeting_label')->nullable();
            $table->text('zoom_subtitle')->nullable();
            $table->string('zoom_image_url')->nullable();
            $table->string('zoom_meeting_url')->nullable();

            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('portal_settings');
    }
}

